Bug 18689 - Packaged Fritzing crashes sometimes, new version upstream do not
Summary: Packaged Fritzing crashes sometimes, new version upstream do not
Status: ASSIGNED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal critical
Target Milestone: ---
Assignee: All Packagers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-11 16:14 CEST by Morgan Leijström
Modified: 2021-08-23 17:49 CEST (History)
11 users (show)

See Also:
Source RPM: fritzing-0.9.2-0.beta20150403.8.mga6.src.rpm
CVE:
Status comment:


Attachments

Description Morgan Leijström 2016-06-11 16:14:58 CEST
I hope we can update it before mga6 release
I can verify of someone package it.

I have using the currently packaged fritzing-0.9.2-0.beta20150403.8.mga6.src.rpm  64 bit.

It crashes sometimes when editing schematic.
(possibly other places too, did not get that far...)

Then I uninstalled it and downloaded the new version 0.9.3b 
from http://fritzing.org/download/ ; simply packed it up and run it.

Works great :)

Except from the apparent bug is fixed, there are some new features.

http://blog.fritzing.org/2016/06/03/new-fritzing-release-0-9-3b/


I set it to critical as it crashes and is repeatable
Comment 1 Morgan Leijström 2016-06-11 16:21:47 CEST
@David i see you touched it last
i also see alexl have packaged it before

CC: (none) => luigiwalser

Comment 2 David Walser 2016-06-11 17:47:58 CEST
This is Alex's package.  I just touched it because I updated quazip once.

CC: luigiwalser => (none)
Assignee: bugsquad => loginov_alex

Comment 3 Morgan Leijström 2016-07-11 17:45:43 CEST
ping @Alex:
This is a leaf package so if you have the time...  :)
Comment 4 Michael Martins 2016-10-17 02:27:23 CEST
"Sorry, we have a problem with the swapping mechanism.
Fritzing still works, but you won't be able to change parts properties."

fritzing-0.8.7-0.beta20140124.4.mga5

http://www.zimagez.com/zimage/capturadetela2016-10-1622-23-55.php

Linux michael-pc 4.4.16-desktop-1.mga5 #1 SMP Tue Jul 26 09:23:40 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
task-xfce-minimal-4.12-1.mga5

CC: (none) => michaelfm21

Alex Loginov 2017-10-02 01:10:14 CEST

Assignee: loginov_alex => bugsquad
CC: (none) => loginov_alex

Comment 5 Marja Van Waes 2017-10-02 21:24:00 CEST
Assigning to all packagers collectively, since there is currently no registered maintainer for this package.

CC: (none) => marja11
Assignee: bugsquad => pkg-bugs

Comment 6 Vincent beuselinck 2018-03-13 21:42:24 CET
Same bug on MAGEIA6 and fritzing 0.9.2 mga x64:

Errors are : 
QSqlDatabase: QSQLITE driver not loaded
QSqlDatabase: available drivers: 
QSqlDatabase: QSQLITE driver not loaded
QSqlDatabase: available drivers: 
QSqlDatabasePrivate::removeDatabase: connection 'qt_sql_default_connection' is still in use, all queries will cease to work.
QSqlDatabasePrivate::addDatabase: duplicate connection name 'qt_sql_default_connection', old connection removed.
QSqlDatabase: QSQLITE driver not loaded
QSqlDatabase: available drivers: 
QSqlDatabasePrivate::removeDatabase: connection 'qt_sql_default_connection' is still in use, all queries will cease to work.
QSqlDatabasePrivate::addDatabase: duplicate connection name 'qt_sql_default_connection', old connection removed.

In use :
- you can't add wire
- two components on the same line crashes with : Segment Fault (core dumped)

0.9.3 tar.bz2 run fine 

If nobody does it, I will look if I can modify src.rpm (not sure : my last packaging was twelve years ago)

CC: (none) => vincent

Comment 7 Morgan Leijström 2018-10-16 23:59:12 CEST
It would be nice to have this fixed for mga6 and maybe mga7.

This may be the last version of this program:
http://forum.fritzing.org/t/is-fritzing-dead-no-updates-since-june-2016/6095
- but it is really useful for beginners, hobbyists and schools many more years even if it do not get more updates than 0.9.3b.

Whiteboard: (none) => MGA6TOO

Comment 8 José Jorge 2018-10-17 10:20:42 CEST
I will try to package this 0.9.3b version. But it needs a lot of build patches...

Assignee: pkg-bugs => lists.jjorge
CC: (none) => lists.jjorge
Status: NEW => ASSIGNED

Comment 9 José Jorge 2018-10-17 14:13:09 CEST
Pushed to Cauldron, it needs a few hours to be built as we have a big todo list.

Version: Cauldron => 6
Whiteboard: MGA6TOO => (none)

Comment 10 José Jorge 2018-10-17 15:13:18 CEST
Ready to test in MGA6.

RPMS:
fritzing-0.9.3b-0.git624187517fc89062a4e83d6c08d306863c0d4ec7.mga6.src.rpm

fritzing-0.9.3b-0.git624187517fc89062a4e83d6c08d306863c0d4ec7.mga6.x86_64.rpm

Suggested advisory :

The version is fritzing in MGA6 crashed often and was outdated. As the latest release is from 2016, we have updated both code and parts to Git status as of Oct 17 2018.

Assignee: lists.jjorge => qa-bugs

Comment 11 José Jorge 2018-10-17 23:24:02 CEST
Release was too long, it is now :

fritzing-0.9.3b-1.git20181017*rpm
Comment 12 Morgan Leijström 2018-10-18 23:43:06 CEST
Thank you for working on this :)

Testing on mga6 x86_64

There seem to be a problem of location of the part bins:

On initial launch it display a dialog "Cannot read file /home/morgan/bins/core.fzb: No such file or directory."

And that is true, I dont have ~/bins/


After clicking OK in that dialog, there is a new dialog:

  "Fritzing cannot load the parts bin"
                                [ OK ]

Then it loads OK.
I noticed the parts bin seem to work: when i click a bin group the content is loaded.

Then i closed the program and started again.
Again the dialog about ~/bin

Then a dialog listing 24 parts it could not find.

OK that and main window shows up. but now clicking a parts bin there are errors "unable to find" the items.
Comment 13 José Jorge 2018-10-19 18:24:06 CEST
(In reply to Morgan Leijström from comment #12)
> On initial launch it display a dialog "Cannot read file
> /home/morgan/bins/core.fzb: No such file or directory."

I could launch it once without any problem. Now when I try again, I can get this strange message. So I think it is because personal config files are created. Maybe upstream may explain?
Comment 14 Herman Viaene 2018-10-20 11:27:08 CEST
MGA6-32 on IBM Thinkpad R50e MATE
No installation issues.
Launching it gives me the same dialogue as in Comment 12.
At the CLI I get:
$ fritzing 
QIODevice::read (QFile, "/home/tester6/bins/core.fzb"): device not open
QIODevice::read (QFile, "/home/tester6/bins/contribParts.fzb"): device not open
QIODevice::read (QFile, "/home/tester6/bins/core.fzb"): device not open
QIODevice::read (QFile, "/home/tester6/bins/contribParts.fzb"): device not open
 
and the parts list in fritzing is empty, and of course there is no bins directory.

CC: (none) => herman.viaene

Comment 15 Morgan Leijström 2018-10-20 21:01:19 CEST
The binary from upstream website do not have this issue.
It displays itself as 0.9.3 (b04.19)
Is this compiled from same sources?
Comment 16 Morgan Leijström 2018-10-20 21:02:58 CEST
... and addition the upstream version downloads updated components, which are used next start.
Comment 17 Herman Viaene 2018-10-22 15:51:34 CEST
Found that the files not found as in Comment 14, are actually created in the pwd where fritzling happens to be opened.
In my case, the pwd was /home/tester6/Documenten and I find the files in /home/tester6/Documenten/Fritzing/bins and /home/tester6/Documenten/Fritzin/parts.

Seems odd to me that it looks in the wrong place for the files it created.
Comment 18 Lewis Smith 2018-11-19 21:25:56 CET
@ zezinho: From the sidelines. it looks as if this is not yet good. Both Morgan's and Herman's, + your own tests, point up problems.

From comment 0:
> the new version 0.9.3b ... Works great :)
Confirmed by Vincent in comment 6:
> 0.9.3 tar.bz2 run fine
and he may be able to help package this:
> If nobody does it, I will look if I can modify src.rpm
> (not sure : my last packaging was twelve years ago).
Morgan's comment 7 makes the effort seem worthwhile:
> This may be the last version of this program:
> but it is really useful for beginners, hobbyists and schools many more years
> even if it do not get more updates than 0.9.3b.
which suggests that we should include the updated package (once working) in Mageia 7.

CC: (none) => lewyssmith

Lewis Smith 2018-11-30 20:24:56 CET

Keywords: (none) => feedback

Comment 19 David Walser 2019-02-01 22:31:05 CET
Assigning back to packagers as the package needs to be fixed still.

Assignee: qa-bugs => lists.jjorge
CC: (none) => pkg-bugs, qa-bugs

Comment 20 Morgan Leijström 2020-04-03 18:17:09 CEST
Project have come alive again - at least it is moving forward!

Bugfix release 0.9.4 december 2019:
https://fritzing.org/download/history-changes/

Issue tracker is running, with dev replies:
https://github.com/fritzing/fritzing-app/issues 

New forum: https://forum.fritzing.org/

I happily paid the suggested fee and will use it for an official DIY design :)

The Fedora 30 download seem to run nicely on mga7, and downloads components libraries OK.  No problem for a half hour playing.  The bugs in comments above seem fixed.

Keywords: feedback => (none)
Version: 6 => 7

Comment 22 Lewis Smith 2020-04-27 19:40:21 CEST
@José : Ping.

It is now over a year since this was shelved for various reasons, but comment 20 gives reason to re-launch it.
> Bugfix release 0.9.4 december 2019:
> The Fedora 30 download seem to run nicely on mga7, and downloads components
> libraries OK.  No problem for a half hour playing.  The bugs in comments
> above seem fixed.
Comment 23 David GEIGER 2020-04-27 21:28:27 CEST
This bug was reported initially for mga6, the mga7 release was updated and I think is workable as it should.

Also Cauldron is up-to-date with the latest 0.9.4 release.

CC: (none) => geiger.david68210

Comment 24 Morgan Leijström 2020-04-27 22:25:01 CEST
It is a huge difference in stability. I have been using 0.9.4 now for 20-30 hrs, not a single crash, plus some other bugs fixed, like problems described above :)

I can test an update on mga7, if made.

0.9.5 is 73% complete according to github, so probably as far away as mga8.
Christian Lohmaier 2020-12-23 15:17:09 CET

CC: (none) => lohmaier+mageia

Comment 25 Morgan Leijström 2020-12-23 17:00:56 CET
Still no new release but there is commit now and then
https://github.com/fritzing/fritzing-app/commits/develop
Manuel Hiebel 2021-03-04 22:08:54 CET

Assignee: lists.jjorge => pkg-bugs

Comment 26 Morgan Leijström 2021-03-14 16:56:06 CET
0.9.6 was released 2021-02-22
https://fritzing.org/releases/0-9-6
Comment 27 Morgan Leijström 2021-03-14 18:05:18 CET
mga7 is still at 0.9.3b-6 (no update)
mga8 have fritzing-0.9.4-4.git20191201.mga8.x86_64.rpm
More history: upstream had 0.9.5d around, but not officially released.

-------

Source code is GNU GPL v3  (ref https://fritzing.org/faq/)

-------

Quick test on Mageia 7 of downloaded 0.9.6 Ubuntu 20.04 tar.gz from https://fritzing.org/download/

Just downloaded it, unzipped it, cd into it and $ ./Fritzing

It seems i had all needed dependencies installed, because it just works:

I put parts on schema, connected on breadboard, found that shema and PCB hade updated automatically, autorouted, exported to pdf, all OK.

Version: 7 => 8
Whiteboard: (none) => MGA7TOO

Comment 28 David GEIGER 2021-03-14 19:29:04 CET
Cauldron, mga8 and mga7 now updated to latest 0.9.6 upstream release, please test them, thanks in advance!
Comment 29 David GEIGER 2021-03-14 19:36:58 CET
Assigning to QA now,


Advisory:
========================

This updates fritzing to the latest version which is supported upstream. It adds several bugfixes.
And also it fixes this initial bug report which is "Fritzing crashes sometimes".

========================

Packages in 7/core/updates_testing:
========================
fritzing-0.9.6-1.mga7.i586.rpm
fritzing-0.9.6-1.mga7.x86_64.rpm

Packages in 8/core/updates_testing:
========================
fritzing-0.9.6-1.mga8.i586.rpm
fritzing-0.9.6-1.mga8.x86_64.rpm


Source RPM: 
========================
fritzing-0.9.6-1.mga7.src.rpm
fritzing-0.9.6-1.mga8.src.rpm

Assignee: pkg-bugs => qa-bugs

Comment 30 Morgan Leijström 2021-03-15 00:11:31 CET
Thanks, that was agile.
Quick test: There is something wrong with it not finding things: At launch there are three consecutive message popups:

§ Unable to find parts git repository

§ Cannot read file screw_terminal_2_3.5mm.fzp:
No such file or directory.

§ Unable to find the following 159 part(s):
<and a list of them here>

Similar problems if trying to open examples.



In my test in comment 27 using the tar.gz it found everything.  And also my earlier projects i have in a custom location, defined from earlier when i used 0.9.3b from another tar.gz. it found, but the rpm packaged verison do not.
So two isssues:
1) dont find data files that is supposed to be packaged.
2) dont find user config file

Also see comment 17, may be similar now, but i have to quit for today.
Also in future it maybe will want to download updated content like earlier version see comment 16, i dont know how to check that... but at least it seems it need to check upstream git part repo if i understand first error message correctly.
Comment 31 Morgan Leijström 2021-03-15 00:17:05 CET
Note: I never tested the previous fritzing Mageia rpm on mga7.
(only used tar.gz from upstream.)

Assignee: qa-bugs => pkg-bugs

Comment 32 David GEIGER 2021-03-15 18:28:50 CET
So after some research i found what is going wrong with parts path! We have to generate the parts database (parts.db in /usr/share/fritzing/parts/) but for an unknown reason I don't know why we can't build this database like fedora or archlinux does :(

I tried the fedora method during build adding :

# Generate the parts database
./Fritzing -platform minimal -f ./parts -db ./parts/parts.db

But fails on BS with:

+ ./Fritzing -platform minimal -f ./parts -db ./parts/parts.db
/home/iurt/rpmbuild/tmp/rpm-tmp.FO9JLJ: line 43: 23315 Aborted                 (core dumped) ./Fritzing -platform offscreen -f ./parts -db ./parts/parts.db
error: Bad exit status from /home/iurt/rpmbuild/tmp/rpm-tmp.FO9JLJ (%build)

And on my own system fails with:

+ ./Fritzing -platform minimal -f ./parts -db ./parts/parts.db
This plugin does not support propagateSizeHints()


If you download the fedora package and take their "parts.db" file and copy it in  "/usr/share/fritzing/parts/" it works fine w/o any warnings.
Comment 33 Morgan Leijström 2021-03-15 18:46:22 CET
Thanks for working on it :)

Unfortunately neither Flatpak nor Appimage exist, and the 0.9.6 Ubuntu tar.gz working on mga7 is more like pure luck...
Comment 34 David GEIGER 2021-03-15 18:54:48 CET
We have to founf how to create this missing parts.db files :(

Can you open a new bug report upstream please? at https://github.com/fritzing/fritzing-app/issues/
Comment 35 Morgan Leijström 2021-03-15 19:18:12 CET
https://github.com/fritzing/fritzing-app/issues/3796
Comment 36 Morgan Leijström 2021-08-03 10:23:50 CEST
Nothing new upstream, sent a ping.
Mga7 is EOS

Whiteboard: MGA7TOO => (none)

Comment 37 Morgan Leijström 2021-08-23 17:49:31 CEST
Still no response to our request for help.

Meanwhile, upstream released 0.9.8, and have an Appimage.
"Funnily" that Appimage have problem creating the database.

There exist an (unofficial?) flatpak of 0.9.6, that seem to work nicely.

Details at https://forum.fritzing.org/t/is-fritzing-still-free/13649/5

Note You need to log in before you can comment on or make changes to this bug.